CREATE TABLE ar_cash_receipt_history_all (
    CASH_RECEIPT_HISTORY_ID          NUMBER(18, 0) ,
    CASH_RECEIPT_ID                  NUMBER(18, 0)     NOT NULL,
    STATUS                           VARCHAR2(120)     NOT NULL,
    TRX_DATE                         DATE              NOT NULL,
    AMOUNT                           NUMBER            NOT NULL,
    FIRST_POSTED_RECORD_FLAG         VARCHAR2(4)       NOT NULL,
    POSTABLE_FLAG                    VARCHAR2(4)       NOT NULL,
    FACTOR_FLAG                      VARCHAR2(4)       NOT NULL,
    GL_DATE                          DATE              NOT NULL,
    CURRENT_RECORD_FLAG              VARCHAR2(4)   ,
    BATCH_ID                         NUMBER(18, 0) ,
    ACCOUNT_CODE_COMBINATION_ID      NUMBER(18, 0) ,
    REVERSAL_GL_DATE                 DATE          ,
    REVERSAL_CASH_RECEIPT_HIST_ID    NUMBER(18, 0) ,
    FACTOR_DISCOUNT_AMOUNT           NUMBER        ,
    BANK_CHARGE_ACCOUNT_CCID         NUMBER(18, 0) ,
    POSTING_CONTROL_ID               NUMBER(18, 0)     NOT NULL,
    REVERSAL_POSTING_CONTROL_ID      NUMBER(18, 0) ,
    GL_POSTED_DATE                   DATE          ,
    REVERSAL_GL_POSTED_DATE          DATE          ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ACCTD_AMOUNT                     NUMBER            NOT NULL,
    ACCTD_FACTOR_DISCOUNT_AMOUNT     NUMBER        ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    EXCHANGE_DATE                    DATE          ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    PROGRAM_APPLICATION_ID           NUMBER(18, 0) ,
    PROGRAM_ID                       NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE              DATE          ,
    REQUEST_ID                       NUMBER(18, 0) ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    PRV_STAT_CASH_RECEIPT_HIST_ID    NUMBER(18, 0) ,
    CREATED_FROM                     VARCHAR2(120)     NOT NULL,
    REVERSAL_CREATED_FROM            VARCHAR2(120) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120) ,
    NOTE_STATUS                      VARCHAR2(120) ,
    ORG_ID                           NUMBER(18, 0)     NOT NULL,
    MRC_POSTING_CONTROL_ID           VARCHAR2(4000),
    MRC_GL_POSTED_DATE               VARCHAR2(4000),
    MRC_REVERSAL_GL_POSTED_DATE      VARCHAR2(4000),
    MRC_ACCTD_AMOUNT                 VARCHAR2(4000),
    MRC_ACCTD_FACTOR_DISC_AMOUNT     VARCHAR2(4000),
    MRC_EXCHANGE_DATE                VARCHAR2(4000),
    MRC_EXCHANGE_RATE                VARCHAR2(4000),
    MRC_EXCHANGE_RATE_TYPE           VARCHAR2(4000),
    EVENT_ID                         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    BUDGETARY_CONTROL_FLAG           VARCHAR2(4)   ,
    SUBLEDGER_BC_COMPLETE_FLAG       VARCHAR2(4)   ,
    CASH_RECEIPT_HISTORY_ID          NUMBER(18, 0) ,
    CASH_RECEIPT_ID                  NUMBER(18, 0)     NOT NULL,
    STATUS                           VARCHAR2(120)     NOT NULL,
    TRX_DATE                         DATE              NOT NULL,
    AMOUNT                           NUMBER            NOT NULL,
    FIRST_POSTED_RECORD_FLAG         VARCHAR2(4)       NOT NULL,
    POSTABLE_FLAG                    VARCHAR2(4)       NOT NULL,
    FACTOR_FLAG                      VARCHAR2(4)       NOT NULL,
    GL_DATE                          DATE              NOT NULL,
    CURRENT_RECORD_FLAG              VARCHAR2(4)   ,
    BATCH_ID                         NUMBER(18, 0) ,
    ACCOUNT_CODE_COMBINATION_ID      NUMBER(18, 0) ,
    REVERSAL_GL_DATE                 DATE          ,
    REVERSAL_CASH_RECEIPT_HIST_ID    NUMBER(18, 0) ,
    FACTOR_DISCOUNT_AMOUNT           NUMBER        ,
    BANK_CHARGE_ACCOUNT_CCID         NUMBER(18, 0) ,
    POSTING_CONTROL_ID               NUMBER(18, 0)     NOT NULL,
    REVERSAL_POSTING_CONTROL_ID      NUMBER(18, 0) ,
    GL_POSTED_DATE                   DATE          ,
    REVERSAL_GL_POSTED_DATE          DATE          ,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ACCTD_AMOUNT                     NUMBER            NOT NULL,
    ACCTD_FACTOR_DISCOUNT_AMOUNT     NUMBER        ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    EXCHANGE_DATE                    DATE          ,
    EXCHANGE_RATE                    NUMBER        ,
    EXCHANGE_RATE_TYPE               VARCHAR2(120) ,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    PROGRAM_APPLICATION_ID           NUMBER(18, 0) ,
    PROGRAM_ID                       NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE              DATE          ,
    REQUEST_ID                       NUMBER(18, 0) ,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    PRV_STAT_CASH_RECEIPT_HIST_ID    NUMBER(18, 0) ,
    CREATED_FROM                     VARCHAR2(120)     NOT NULL,
    REVERSAL_CREATED_FROM            VARCHAR2(120) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120) ,
    NOTE_STATUS                      VARCHAR2(120) ,
    ORG_ID                           NUMBER(18, 0)     NOT NULL,
    MRC_POSTING_CONTROL_ID           VARCHAR2(4000),
    MRC_GL_POSTED_DATE               VARCHAR2(4000),
    MRC_REVERSAL_GL_POSTED_DATE      VARCHAR2(4000),
    MRC_ACCTD_AMOUNT                 VARCHAR2(4000),
    MRC_ACCTD_FACTOR_DISC_AMOUNT     VARCHAR2(4000),
    MRC_EXCHANGE_DATE                VARCHAR2(4000),
    MRC_EXCHANGE_RATE                VARCHAR2(4000),
    MRC_EXCHANGE_RATE_TYPE           VARCHAR2(4000),
    EVENT_ID                         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    BUDGETARY_CONTROL_FLAG           VARCHAR2(4)   ,
    SUBLEDGER_BC_COMPLETE_FLAG       VARCHAR2(4)   ,
    CONSTRAINT pk_ar_cash_receipt_history_all PRIMARY KEY (CASH_RECEIPT_HISTORY_ID, CASH_RECEIPT_HISTORY_ID)
);
